Can't get freepats when search "freepats"

Bug #646584 reported by Xhacker Liu on 2010-09-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: software-center

When I search for freepats, I can't find it.
Instead, when I using synaptic, freepats is there.

I'm attaching a screenshot.

Thanks.

Xhacker Liu (xhacker) wrote :
Kiwinote (kiwinote) on 2010-09-27
Changed in software-center (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Michael Vogt (mvo) wrote :

This is caused by the fact that we hide technical items by default plus a bug in the code "update_show_hide_nonapps()". It tests apps != pkgs but in this case we have 2 apps and 2 pkgs, but those are differen so the "show technical items" label should be displayed.

Changed in software-center (Ubuntu):
milestone: none → ubuntu-10.10
Michael Vogt (mvo) wrote :

This may be enough:

=== modified file 'softwarecenter/view/softwarepane.py'
--- softwarecenter/view/softwarepane.py 2010-09-27 16:34:32 +0000
+++ softwarecenter/view/softwarepane.py 2010-09-27 21:16:52 +0000
@@ -349,7 +349,6 @@
         if (appstore and
             appstore.active and
             self.is_applist_view_showing() and
- pkgs != apps and
             pkgs > 0 and
             apps > 0 and
             not self.disable_show_hide_nonapps):

Michael Vogt (mvo) on 2010-09-29
Changed in software-center (Ubuntu):
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 3.0.3

---------------
software-center (3.0.3) maverick; urgency=low

  * softwarecenter/view/softwarepane.py:
    - Fix incorrect hide of the technical items search bar
      (LP: #646584)
  * softwarecenter/backend/aptd.py, softwarecenter/utils.py:
    - Test if we have a Release.gpg file after a new for-pay repository
      was added. In the initial update() the backend/libapt does not know
      yet if a signed repo should be expected. If the Release.gpg file
      is missing, re-try the operation. This should fix the
      "unauthenticated" errors for the ricks-wallpapers purchase
  * softwarecenter/backend/aptd.py:
    - fix crash when the aptdaemon dies
    - improve logging for purchase processing
  * softwarecenter/log.py:
    - improve logging format
    - keep log in ~/.cache/software-center/software-center.log
 -- Michael Vogt <email address hidden> Tue, 28 Sep 2010 21:36:36 +0200

Changed in software-center (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments